package net.sf.jabref.logic.formatter.casechanger;

import org.junit.Test;

import static org.junit.Assert.assertEquals;


/**
 * Tests in addition to the general tests from {@link net.sf.jabref.logic.formatter.FormatterTest}
 */
public class ProtectTermsFormatterTest {

    private final ProtectTermsFormatter formatter = new ProtectTermsFormatter();

    @Test
    public void test() {
        assertEquals("{VLSI}", formatter.format("VLSI"));
        assertEquals("{VLSI}", formatter.format("{VLSI}"));
        assertEquals("VLsI", formatter.format("VLsI"));
        assertEquals("{VLSI} {VLSI}", formatter.format("VLSI {VLSI}"));
        assertEquals("{BPEL}", formatter.format("{BPEL}"));
        assertEquals("{Testing BPEL Engine Performance: A Survey}", formatter.format("{Testing BPEL Engine Performance: A Survey}"));
    }

    @Test
    public void formatExample() {
        assertEquals("In {CDMA}", formatter.format(formatter.getExampleInput()));
    }

}
